import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react-swc'
import { fileURLToPath, URL } from 'node:url'
import mkcert from 'vite-plugin-mkcert'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react(), mkcert()],
  server: {
    open: true,
    host: 'dev.ezijing.com',
    proxy: {
      '/api/bi': {
        target: 'http://local-com-resource-api.bi.ezijing.com',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/api\/bi/, ''),
      },
      '/api': 'https://saas-lab.ezijing.com',
    },
  },
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url)),
    },
  },
})
